var EasywayShop = {
		addressFormIsValid: function (selector) {
			var address_defaults,
				isValid;
			
			isValid = true;
			
			address_defaults = {
				company: 'Firma',
				firstname: 'Vorname',
				surname: 'Nachname',
				street: 'Strasse',
				house_number: 'Housenummer',
				zip_code: 'Postleitzahl',
				city: 'Ort',
				honorific: 'default',
				country: 'default'
			};
			
			$.each(address_defaults, function(key, value) {
				if($(':input[name="' + key + '"]').val() == value) {
					if (key == 'honorific' || key == 'country') {
						$(':input[name="' + key + '"]').addClass('required');
						
						isValid = false;
					} else {
						$('input[name="' + key + '"]').val('').addClass('required');
						
						isValid = false;
					}
				}
			});
			
			return isValid;
		}
}
